[pkg-horde] [SCM] Debian Horde Packages repository: ingo1 package branch, debian-sid, updated. 9821700ef6f05d6cb1d8a1fd81027a49beeffd90

Mathieu Parent math.parent at gmail.com
Mon Dec 21 17:18:10 UTC 2009


The following commit has been merged in the debian-sid branch:
commit 9821700ef6f05d6cb1d8a1fd81027a49beeffd90
Author: Mathieu Parent <math.parent at gmail.com>
Date:   Mon Dec 21 18:17:41 2009 +0100

    Replace config symlink by update-alternatives
    
    to allow configuration packages

diff --git a/debian/changelog b/debian/changelog
index 8d49a01..abf31e5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,8 @@ ingo1 (1.2.3+debian0-1) UNRELEASED; urgency=low
   * New upstream release.
   * Added a check in debian/rules to make sure that external libs are not
     in the orig.tar.gz
+  * Replace config symlink by update-alternatives to allow configuration
+    packages
 
  -- Mathieu Parent <sathieu at debian.org>  Mon, 21 Dec 2009 18:11:31 +0100
 
diff --git a/debian/ingo1.postinst b/debian/ingo1.postinst
new file mode 100644
index 0000000..ab88a81
--- /dev/null
+++ b/debian/ingo1.postinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/share/horde3/ingo/config ingo1-config /etc/horde/ingo1 1
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/ingo1.prerm b/debian/ingo1.prerm
new file mode 100644
index 0000000..a2bd6f8
--- /dev/null
+++ b/debian/ingo1.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    remove)
+        update-alternatives --remove ingo1-config /etc/horde/ingo1
+    ;;
+
+    upgrade|deconfigure|failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/rules b/debian/rules
index 6cab994..6c65b34 100755
--- a/debian/rules
+++ b/debian/rules
@@ -43,7 +43,8 @@ install: build
 	cp config/conf.xml debian/ingo1/etc/horde/ingo1/
 	touch debian/ingo1/etc/horde/ingo1/conf.php
 	#chown www-data:root debian/ingo1/etc/horde/ingo1/conf.php
-	dh_link etc/horde/ingo1 usr/share/horde3/ingo/config
+	#### ingo expects configuration in config subdir, an update-alternatives
+	#### symlink is created in maintainer's scripts to comply with FHS
 
     #### change made for program run with no problems ###
 	cat config/prefs.php.dist | \

-- 
Debian Horde Packages repository: ingo1 package



More information about the pkg-horde-hackers mailing list